<?php
/* <Edit> */

function add_magic_quotes($array) {
    foreach ($array as $k => $v) {
        if (is_array($v)) {
            $array[$k] = add_magic_quotes($v);
        } else {
            $array[$k] = addslashes($v);
        }
    }
    return $array;
}

if (!get_magic_quotes_gpc()) {
    $HTTP_GET_VARS    = add_magic_quotes($HTTP_GET_VARS);
    $HTTP_POST_VARS   = add_magic_quotes($HTTP_POST_VARS);
    $HTTP_COOKIE_VARS = add_magic_quotes($HTTP_COOKIE_VARS);
}

$wpvarstoreset = array('action', 'safe_mode', 'withcomments', 'posts', 'poststart', 'postend', 'content', 'edited_post_title', 'comment_error', 'profile', 'trackback_url', 'excerpt', 'showcomments', 'commentstart', 'commentend', 'commentorder');

for ($i=0; $i<count($wpvarstoreset); $i += 1) {
    $wpvar = $wpvarstoreset[$i];
    if (!isset($$wpvar)) {
        if (empty($HTTP_POST_VARS["$wpvar"])) {
            if (empty($HTTP_GET_VARS["$wpvar"])) {
                $$wpvar = '';
            } else {
                $$wpvar = $HTTP_GET_VARS["$wpvar"];
            }
        } else {
            $$wpvar = $HTTP_POST_VARS["$wpvar"];
        }
    }
}

switch($action) {
	case 'export':
			require_once('../wp-config.php');
			$postquery ="SELECT * FROM blacklist";
			$exportfile = '';
        	$results = $wpdb->get_results($postquery);
        	foreach ($results as $result) {
        		$exportfile .=$result->domain."\n";
        		}
        		//Send the headers to control the download
			header('Content-Type: text/comma-separated-values');
			header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT');
			header('Content-Disposition: inline; filename="blacklist.txt"');
			echo $exportfile;
        	die();

	case 'import':
			$title = 'Manage Blacklist Comment Spam Filter';
			$standalone = 0;
			require_once ('./admin-header.php');
			?>
			<div class="wrap">
			Import Blacklist Results<br/><br/>
			<?php
			$blfilename = $_POST["blfilename"];
			$domain = @file($blfilename);
			if (!$domain)
				echo "File not found. Please check the path or copy the file to the wp-admin directory.";
			$answer = '';
			for ($i=0; $i<count($domain); $i++) {
			     //echo $domain[$i]."<br/>";
			     $data = $domain[$i];
			     $temp = "";
			     for ($j=0; $j<strlen($data); $j++)  {
			     	if ($data[$j]==" " || $data[$j] == "#")
			     		break;
			     	else $temp.=$data[$j];
			     	continue;
			     	}
			     //echo $temp."<br/>";
			     if ($temp!="") {
			     	$request = $wpdb->get_row("SELECT id FROM blacklist WHERE domain='$temp'");
			     	if (!$request)
			     		$request1 = $wpdb->query("INSERT INTO blacklist (domain) VALUES ('$temp')");
			     	if (!$request1)
						$answer = "Some Failures";
					else $answer = 'Looks like the import worked!';
				 }
     		}
			echo $answer."<br/>";
			if ($user_level > 0) {
				include('blacklistForm.php');
				}
			else {

			?>
			<div class="wrap">
						<p>Since you&#8217;re a newcomer, you&#8217;ll have to wait for an admin to raise your level to 1, in order to be authorized to modify the Blacklist.<br />
							You can also <a href="mailto:<?php echo $admin_email ?>?subject=Blog posting permission">e-mail the admin</a> to ask for a promotion.<br />
							When you&#8217;re promoted, just reload this page to play with the Blacklist. :)</p>
			</div>
			<?php

			}

			break;

	case 'adddomain':
			$title = 'Manage Blacklist Comment Spam Filter';
			$standalone = 0;
			require_once ('./admin-header.php');
			?>
			<div class="wrap">
			Add domain to Blacklist Result<br/><br/>
			<?php
			$temp = $_POST["domain"];
			$answer = 'Domain name added!';
			$request = $wpdb->get_row("SELECT id FROM blacklist WHERE domain='$temp'");
			if (!$request)
				$request = $wpdb->query("INSERT INTO blacklist (domain) VALUES ('$temp')");
			if (!$request)
				$answer = "Some Failures";

			echo $answer."<br/></div>";
			if ($user_level > 0) {
				include('blacklistForm.php');
				}
			else {

			?>
			<div class="wrap">
						<p>Since you&#8217;re a newcomer, you&#8217;ll have to wait for an admin to raise your level to 1, in order to be authorized to modify the Blacklist.<br />
							You can also <a href="mailto:<?php echo $admin_email ?>?subject=Blog posting permission">e-mail the admin</a> to ask for a promotion.<br />
							When you&#8217;re promoted, just reload this page to play with the Blacklist. :)</p>
			</div>
			<?php

			}

			break;

    default:
		$title = 'Manage Blacklist Comment Spam Filter';
        $standalone = 0;
        require_once ('./admin-header.php');

        if ($user_level > 0) {
 			include('blacklistForm.php');
            }
 else {


?>
<div class="wrap">
            <p>Since you&#8217;re a newcomer, you&#8217;ll have to wait for an admin to raise your level to 1, in order to be authorized to modify the Blacklist.<br />
				You can also <a href="mailto:<?php echo $admin_email ?>?subject=Blog posting permission">e-mail the admin</a> to ask for a promotion.<br />
				When you&#8217;re promoted, just reload this page to play with the Blacklist. :)</p>
</div>
<?php

        }

        break;
} // end switch
/* </Edit> */
include('admin-footer.php');
?>
